OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Texturing.TextureUnit

Description

This is a purely internal module for (un-)marshaling TextureUnit.

Synopsis

- newtype TextureUnit = TextureUnit GLuint
- marshalTextureUnit :: TextureUnit -> GLenum
- unmarshalTextureUnit :: GLenum -> TextureUnit

# Documentation

newtype TextureUnit Source

Identifies a texture unit via its number, which must be in the range of (0 .. `maxTextureUnit`).

Constructors

TextureUnit GLuint |

Instances

Eq TextureUnit |
Ord TextureUnit |
Show TextureUnit |
Storable TextureUnit |
Uniform TextureUnit |

marshalTextureUnit :: TextureUnit -> GLenum Source

unmarshalTextureUnit :: GLenum -> TextureUnit Source